Open SCAP Library

Public Member Functions | Data Fields
xccdf_instance Struct Reference
XCCDF

XCCDF instance. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions
struct xccdf_instance * | xccdf_instance_new (void)
struct xccdf_instance * | xccdf_instance_clone (const struct xccdf_instance *instance)
void | xccdf_instance_free (struct xccdf_instance *inst)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | xccdf_instance_get_context (const struct xccdf_instance *item)
const char * | xccdf_instance_get_parent_context (const struct xccdf_instance *item)
const char * | xccdf_instance_get_content (const struct xccdf_instance *item)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | xccdf_instance_set_context (struct xccdf_instance *obj, const char *newval)
bool | xccdf_instance_set_parent_context (struct xccdf_instance *obj, const char *newval)
bool | xccdf_instance_set_content (struct xccdf_instance *obj, const char *newval)

## Data Fields
char * | context
char * | parent_context
char * | content

## Detailed Description

XCCDF instance.

See also
  xccdf_rule_result

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h